[data-component-id="kackaamin:event_calendar_list"] {
  display: flex;
  flex-direction: column;
  gap: 20px;
  grid-column: 1 / -1;

  & h5 {
    color: var(--text-primary);
    font-size: 16px;
  }

  & .event-calendar__list-card {
    border-radius: 20px;
    padding: 16px;
    border: 1px solid var(--text-secondary);
    display: flex;
    flex-direction: column;
    gap: 24px;
    max-width: 100%;
    margin: auto;
    overflow: hidden;

    & button {
      display: flex;
      gap: 8px;
      flex-wrap: nowrap;
      align-items: center;
      cursor: pointer;

      & span {
        color: var(--text-secondary);
      }

      & .read-more {
        color: var(--color-mist);
      }
    }

    & .list__deco {
      display: none;
    }

    & .list__body,
    & .list__body-wrap,
    & .list__date-card,
    & .list__body-title {
      display: flex;
      flex-direction: column;
    }

    & .list__body-wrap,
    & .list__body {
      gap: 16px;
    }

    & .list__body {
      color: var(--text-secondary);

      & .list__body-desc {
        display: -webkit-box;
        -webkit-line-clamp: 2;
        line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
      }

      & .list__body-action {
        display: none;
      }
    }

    & .list__body.expanded {
      & .list__body-desc {
        display: block;
      }

      & .list__body-action {
        display: flex;
        gap: 16px;

        & .btn--tertiary {
          color: var(--color-mist);
        }
      }
    }

    & .list__date-card {
      background: var(--event-color);
      justify-content: space-between;
      height: 96px;
      align-items: center;
      padding: 10.77px 3.6px;
      color: var(--color-black);
      border-radius: 26.92px 0 26.92px 0;

      & svg {
        width: 10px;
      }

      &>div {
        display: flex;
        gap: 4px;
      }
    }

    & .list__body-title {
      gap: 8px;
    }
  }

  @container main (min-width: 600px) {
    & h5 {
      font-size: 20px;
    }

    & .event-calendar__list-card {
      max-width: 100%;
      position: relative;
      padding-left: 32px;

      & .list__deco {
        display: block;
        position: absolute;
        width: 13px;
        height: 100%;
        background: var(--event-color);
        top: 0;
        left: 0;
      }

      & .list__body {
        width: 100%;
      }

      & .list__body-action {
        padding-top: 24px;
      }

      & .list__body-wrap {
        flex-direction: row-reverse;
        justify-content: flex-end;
      }

      & .list__date-card {
        width: 101px;
        height: 98px;
        padding: 9px 3px;
        flex-shrink: 0;
        
        & .list__date-month,
        & .list__date-day {
          font-weight: 600;  
        }

        & .list__date-day {
          font-family: var(--font-laila);
        }

        & .list__date-time {
          font-size: 12px;
          line-height: 85%;
          text-align: center;
          max-width: 68px;
          display: flex;
          white-space: wrap;
          align-items: center;
          justify-content: center;

          & span:first-child {
            min-width: 10px;
          }
        }
      }
    }
  }
}
